import 'dart:convert';

import 'package:delivery_app/utils/g.dart' as g;

Autogenerated passengersDataFromJson(String str) => Autogenerated.fromJson(json.decode(str));
String passengersDataToJson(Autogenerated data) => json.encode(data.toJson());
class Autogenerated {
 late  int currentPage;
 late  List<Data> data;
 late  String firstPageUrl;
 late  int from;
 late  int lastPage;
 late  String lastPageUrl;
 late  String nextPageUrl;
 late  String path;
 late  int perPage;
 late  String prevPageUrl;
 late  int to;
 late  int total;

  Autogenerated(
      {
      required this.currentPage,
       required this.data,
       required this.firstPageUrl,
       required this.from,
       required this.lastPage,
       required this.lastPageUrl,
       required this.nextPageUrl,
       required this.path,
       required this.perPage,
       required this.prevPageUrl,
       required this.to,
       required this.total});

  Autogenerated.fromJson(Map<String, dynamic> json) {
    currentPage = json['current_page'];
    if (json['data'] != null) {
      data = <Data>[];
      json['data'].forEach((v) {
        data.add(Data.fromJson(v));
      });
    }
    firstPageUrl = json['first_page_url'];
    from = json['from'];
    lastPage = json['last_page'];
    lastPageUrl = json['last_page_url'];
    nextPageUrl = json['next_page_url'];
    path = json['path'];
    perPage = json['per_page'];
    prevPageUrl = json['prev_page_url'];
    to = json['to'];
    total = json['total'];
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['current_page'] = currentPage;
    if (this.data != null) {
      data['data'] = this.data.map((v) => v.toJson()).toList();
    }
    data['first_page_url'] = firstPageUrl;
    data['from'] = from;
    data['last_page'] = lastPage;
    data['last_page_url'] = lastPageUrl;
    data['next_page_url'] = nextPageUrl;
    data['path'] = path;
    data['per_page'] = perPage;
    data['prev_page_url'] = prevPageUrl;
    data['to'] = to;
    data['total'] = total;
    return data;
  }
}

class Data {
  late String id;
  late String driverName;
  late String shopId;
  late String attendanceDate;
  late String attendanceAddress;
  late String attendanceLatlong;
  late int attendanceStatus;
  late String createdAt;
  late String updatedAt;
  late String latitude;
  late String longitude;

  Data(
      {
      required  this.id,
      required  this.driverName,
      required  this.shopId,
      required  this.attendanceDate,
      required  this.attendanceAddress,
      required  this.attendanceLatlong,
      required  this.attendanceStatus,
      required  this.createdAt,
      required  this.updatedAt,
      required  this.latitude,
      required  this.longitude
      });

  Data.fromJson(Map<String, dynamic> json) {
    id = g.convertModelString(json['id']);
    driverName = g.convertModelString(json['driver_name']);
    shopId = g.convertModelString(json['shop_id']) == null ?'':g.convertModelString(json['shop_id']);
    attendanceDate = g.convertModelString(json['attendance_date']);
    attendanceAddress = g.convertModelString(json['attendance_address']);
    attendanceLatlong = g.convertModelString(json['attendance_latlong']);
    attendanceStatus = json['attendance_status'];
    createdAt = g.convertModelString(json['created_at']);
    updatedAt = g.convertModelString(json['updated_at']);
    latitude = g.convertModelString(json['Latitude']);
    longitude = g.convertModelString(json['Longitude']);
  }

  Map<String, dynamic> toJson() {
    final Map<String, dynamic> data = <String, dynamic>{};
    data['id'] = id;
    data['driver_name'] = driverName;
    data['shop_id'] = shopId;
    data['attendance_date'] = attendanceDate;
    data['attendance_address'] = attendanceAddress;
    data['attendance_latlong'] = attendanceLatlong;
    data['attendance_status'] = attendanceStatus;
    data['created_at'] = createdAt;
    data['updated_at'] = updatedAt;
    data['Latitude'] = latitude;
    data['Longitude'] = longitude;
    return data;
  }
}

